export declare class Icon {
  /**
   * The name of the icon without the bal-icon prefix.
   */
  name: string;
  /**
   * Defines the size of the icon.
   */
  size: 'small' | 'medium' | 'large' | '';
  /**
   * If `true` the icon can be positioned ot the right side of another component
   */
  isRight: boolean;
  /**
   * If `true` the icon can be positioned ot the left side of another component
   */
  isLeft: boolean;
  /**
   * If `true` the icon rotates like for a loading spinner
   */
  rotate: boolean;
  get sizeCssClass(): string;
  get iconCssClass(): string;
  render(): any;
}
